MediaWiki:Gadget-Infobox.css

Revision as of 18:41, 29 August 2025 by ReinDevildom (talk | contribs) (Created page with ".portable-infobox { --pi-background: var(--theme-page-background-color); --pi-secondary-background: var(--theme-accent-color); --pi-secondary-background--label: var(--theme-accent-label-color); border-radius: 5px; border-style: unset; border: 1px solid var(--pi-border); color: var(--theme-page-text-color); width: 270px; } .pi-theme-charnav .pi-navigation { font-size: 14px; } Assume that there is already a title: .portable-infobox .pi-header[data-item-nam...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
.portable-infobox {
	--pi-background: var(--theme-page-background-color);
	--pi-secondary-background: var(--theme-accent-color);
	--pi-secondary-background--label: var(--theme-accent-label-color);

	border-radius: 5px;
	border-style: unset;
	border: 1px solid var(--pi-border);
	color: var(--theme-page-text-color);
	width: 270px;
}

.pi-theme-charnav .pi-navigation {
	font-size: 14px;
}

/* Assume that there is already a title */
.portable-infobox .pi-header[data-item-name=secondary_title] {
	padding-top: 0;
}

/* remove border between label and format */
.pi-horizontal-group .pi-horizontal-group-item,
.pi-smart-group-body {
	border-top: none !important;
}

/* remove extra margin from empty border */
.pi-smart-group .pi-smart-data-label,
.pi-smart-group .pi-smart-data-value {
	margin: 0;
}

/*  add border above tabber */
.pi-item.pi-panel.pi-border-color.wds-tabber {
	border-top: 1px solid var(--pi-border-color);
}

/*  add border tabke header */
.pi-item.pi-group.pi-border-color thead tr {
	border-top: 1px solid var(--pi-border-color);
}

/*  add border below image */
.pi-image { border-bottom: 1px solid var(--pi-border-color); }

/* remove border above secondary title */
.pi-header[data-item-name=secondary_title],
.portable-infobox .pi-secondary-font {
	border-top: none;
}

/* center collapsible headers */
.pi-collapse .pi-header:first-child {
	padding-left: 40px;
}

/* remove margin added for normal headers */
.page-content .portable-infobox h1,
.page-content .portable-infobox h2,
.page-content .portable-infobox h3,
.page-content .portable-infobox h4,
.page-content .portable-infobox h5,
.page-content .portable-infobox h6 {
	margin: 0;
}

/* remove padding for group label and value */
h3.pi-smart-data-label.pi-data-label.pi-secondary-font.pi-item-spacing.pi-border-color {
	padding-bottom: 0;
}
.pi-smart-data-value.pi-data-value.pi-font.pi-item-spacing.pi-border-color {
	padding-top: 0;
}

.portable-infobox.type-anima .pi-anima-id {
    margin-left: 5px  !important;
    background-color: #fefaf2 !important;
    color: var(--theme-accent-color) !important;
    padding: 2px 10px !important;
    border-radius: 5px !important;
    float: right !important;
}

.portable-infobox {
    border-radius: 10px !important;
    overflow: hidden;
}

.portable-infobox.type-anima .pi-title {
    text-align: left;
}

.portable-infobox.type-anima .pi-title-text {
    padding: 2px 0 0 5px;
    font-size: 20px;
}

.pi-group .pi-item {
    display: flex;
    
}

.portable-infobox .pi-header {
	background-color: var(--pi-header-bg-color);
	color: var(--pi-header-color);
	padding-top: 10px !important;
	text-transform: none;
}

.portable-infobox .pi-group {
	color: var(--theme-page-text-color);
	background-color: var(--pi-rows-color);
}

.portable-infobox .pi-horizontal-group {
	border-top: 1px solid var(--pi-border);
}

.portable-infobox .pi-image { border-bottom: none; }

.portable-infobox .pi-item[data-item-name="center"] {
	justify-content: center;
}

.pi-data {
	border-color: var(--pi-border);
	background-color: var(--pi-rows-color);
}

/* Fix tabs in infobox */
.portable-infobox .wds-tabs {
	width: 100%;
	background-color: var(--pi-tabber-bg-color);
	border-top: 1px solid var(--pi-border);
}

.portable-infobox .wds-tabs .wds-tabs__tab {
	text-align: center;
	color: var(--pi-tabber-color);
	> .wds-tabs__tab-label { height: 30px; }
}

.portable-infobox .wds-tabs .wds-is-current {
	color: var(--theme-link-color);
	background-color: var(--theme-page-background-color--secondary) !important;
}

.portable-infobox .wds-tabs .wds-tabs__tab:hover {
	color: var(--theme-link-color);
	background-color: var(--theme-page-background-color--secondary) !important;
}

.portable-infobox section:last-child .wds-tabs .wds-tabs__tab {
	text-align: center;
}

/* Fix infobox tabs to not require horizontal scrolling and make better use of space */
aside.portable-infobox .wds-tabs {
	display: flex;
	flex-wrap: wrap;
}
aside.portable-infobox .wds-tabs__tab {
	flex-grow: 1;
	text-align: center;
}